%define major   2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           xdotool
Version:        2.20110530.1
Release:        %mkrel 3
Summary:        Fake keyboard/mouse input, window management, and more
License:        BSD
Group:          Toys
URL:            http://www.semicomplete.com/projects/xdotool

Source0:        http://semicomplete.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-makefile.patch

BuildRequires:  libx11-devel
BuildRequires:  libxtst-devel
BuildRequires:  libxinerama-devel


%description
This tool lets you simulate keyboard input and mouse activity, move and resize
windows, etc. It does this using X11's XTEST extension and other Xlib
functions.

Additionally, you can search for windows and move, resize, hide, and modify
window properties like the title. If your window manager supports it, you can
use xdotool to switch desktops, move windows between desktops, and change the
number of desktops. 


%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries


%description -n %{libname}
This package contains libraries for %{name}.


%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n	%{develname}
This package contains development files for %{name}.


%prep
%setup -q

#disable tests (it requires Gnome), fix linking
%patch0 -p1

%build
%setup_compile_flags
%make

%install
%makeinstall_std \
    PREFIX=%{_prefix} \
    INSTALLMAN=%{_datadir}/man \
    INSTALLLIB=%{_libdir}


%files
%doc COPYRIGHT README VERSION CHANGELIST
%{_bindir}/xdotool
%{_mandir}/man1/xdotool.1*

%files -n %{libname}
%{_libdir}/libxdo.so.%{major}

%files -n %{develname}
%{_libdir}/libxdo.so
%{_includedir}/xdo.h



%changelog

* Sat Nov 26 2011 kamil <kamil> 2.20110530.1-3.mga2
+ Revision: 172000
- fix file permissions
- bump release to keep release higher then 1/updates
- more cleaning

* Thu Nov 17 2011 kamil <kamil> 2.20110530.1-1.mga2
+ Revision: 168522
- fixed tabs&spaces
- new version
- fixed missing build flags
- included missing docs
- cleaning
- imported package xdotool


* Mon Feb 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.20101012.3049-1
+ Revision: 640974
- import xdotool

